Subject: Silence suppression

From: Nurit Shenhar <[email-masked]>
Date: Thu, 21 Sep 2000 15:55:32 +0200

Hi list

I think that there should be a silence suppression property in the tdmc
package. If not, where do I get this parameter?

Best regards

Nurit Shenhar
AudioCodes Ltd.
Direct: +972-3-539-4155
Tel:     +972-3-539-4000
Fax:    +972-3-539-4040
email:  [email-masked]

web:    <http://www.audiocodes.com>

---

From: Nurit Shenhar <[email-masked]>
Date: Mon, 25 Sep 2000 16:41:50 +0200

Hi

I Didn't get any answer for the silence suppression, so I send it again.
Does anybody got an answer for that?

Nurit

>  -----Original Message-----
> From:         Nurit Shenhar
> Sent: Thursday, September 21, 2000 3:56 PM
> To:   MEGACO (E-mail)
> Subject:      Silence suppression
>
> Hi list
>

---

From: "Rosen, Brian" <[email-masked]>
Date: Mon, 25 Sep 2000 09:46:56 -0400

I was hoping one of our more "bell-head" members would answer this.

I believe that the capability exists in both SDP and Annex C,
and that is where you control it.

Brian

> From: Nurit Shenhar [mailto:[email-masked]]
> Sent: Monday, September 25, 2000 10:42 AM
> To: [email-masked]
> Subject: FW: Silence suppression
>
>
> Hi
>

---

From: Nurit Shenhar <[email-masked]>
Date: Mon, 25 Sep 2000 17:02:57 +0200

Hi Brian

You are right about Annex C, but I read the SDP document (RFC2327) again and
again and didn't find anything about it. (I found there other parameters I
need, like Bandwidth).

I understood that Annex C is for the binary coding only, as it states at the
opening senstence:

   "Parameters for Local descriptors and Remote descriptors are specified
    as tag-value pairs if binary encoding is used for the protocol."

 If it should also be used for the ABNF, it will be quite difficult for the
parser to be ready to accept both SDP and Annex C.

Nurit

-----Original Message-----
From: Rosen, Brian [mailto:[email-masked]]
Sent: Monday, September 25, 2000 3:47 PM
To: 'Nurit Shenhar'; [email-masked]
Subject: RE: Silence suppression

Brian

---

From: "Jepsen, Tom" <[email-masked]>
Date: Mon, 25 Sep 2000 10:42:18 -0400

Nurit,

ATM extensions for SDP are not in RFC2327, but are in an Internet Draft
which can be found at
<http://search.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-atm-00.txt>.
You will find a description of the silence suppression parameter
(silenceSupp) in section 5.6, Media Attribute Lines.

Hope this helps,

Tom Jepsen
Fujitsu Network Communications
1000 St. Albans Drive
Raleigh, NC 27609 USA
(919)790-3439

> From: Nurit Shenhar [SMTP:[email-masked]]
> Sent: Monday, September 25, 2000 11:03 AM
> Subject:      Re: Silence suppression
>
> Hi Brian
>

---

From: Nurit Shenhar <[email-masked]>
Date: Tue, 26 Sep 2000 16:45:31 +0200

Tom

I found the draft. But silence suppression is not an ATM specific property,
and I don't see why I have to adopt an ATM draft if I don't use it. I still
think that it should have been a LocalControl property, just like the echo
cancellation and gain control, which means it should be in the tdmc package.

Nurit

-----Original Message-----
From: Jepsen, Tom [mailto:[email-masked]]
Sent: Monday, September 25, 2000 4:42 PM
To: 'Nurit Shenhar'; [email-masked]
Subject: RE: Silence suppression

Nurit,

Hope this helps,

Tom Jepsen

---

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 27 Sep 2000 13:54:05 -0500

Is silence suppression really something that happens on the TDM side?  On
the RTP side, it is taken care of by the payload type specification -- see
draft-ietf-avt-profile-new-08.txt                    section 4.1
(Encoding-Independent Rules) and section 4.5.4 (G.723) re SID frames.  Also
note the use of Voice Activity Detection with G.729 in section 4.5.7.  The
view there seems to be that silence suppression doesn't have to be
signalled.

> Sent: Tuesday, September 26, 2000 10:46 AM
> > You are right about Annex C, but I read the SDP document
> (RFC2327) again
> > and
> > I understood that Annex C is for the binary coding only, as
> it states at
> > the
> > opening senstence:
> >
> >  If it should also be used for the ABNF, it will be quite
> difficult for
> > the

---

From: Oren Kudovitzky <[email-masked]>
Date: Thu, 28 Sep 2000 19:24:24 +0200

I believe that silence suppression is on the RTP side.
There are number of coders that are silence suppression enabled, but for the
encoding side this feature must be specified, since silence suppression in
G.723 and G.729 is optional. Althogh silence suppression need not be
signaled on the decoder side, the encoder side should have an On/Off
parameter, set by the Call Agent .
I do not understand from the answer below,  how one can set the silence
suppression mode of the coder under MEGACO.

Oren

> From: Tom-PT Taylor [mailto:[email-masked]]
> Sent: Wednesday, September 27, 2000 8:54 PM

---

From: Tom-PT Taylor <[email-masked]>
Date: Fri, 29 Sep 2000 22:03:00 -0400

First point: since you're talking about an action on an RTP termination, it
definitely can't be a parameter in TDMC, since the latter characterizes a
TDM termination.

Second point: I guess there is no way to specify silence suppression now.
Since it is required only on the encoding side, it would be a parameter in
the Remote descriptor.  To fit in with SDP, it would likely be a payload
attribute (i.e. an "a=" parameter).  Someone should take up the cause in
MMUSIC.

> From: Oren Kudovitzky [mailto:[email-masked]]
> Sent: Thursday, September 28, 2000 1:24 PM